=== debian/changelog ===
gitaly (16.8.2+ds3-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Feb 2024 18:46:30 +0530

gitaly (16.8.2+ds3-1) experimental; urgency=medium

  * New upstream version 16.8.2+ds3 (drop 2 modules from vendor)
  * Update minimum version of gitlab-shell to 14.33~
  * Add golang-github-miekg-dns-dev as build dependency

 -- Pirate Praveen <praveen@debian.org>  Wed, 14 Feb 2024 18:10:22 +0530

gitaly (16.8.2+ds2-1) experimental; urgency=medium

  * Team Upload.

  [ Pirate Praveen ]
  * New upstream version 16.8.2
  * Drop obsolete patch
  * New upstream version 16.8.2+ds1 (Add go-grpc-middleware v2 to vendor)
  * New upstream version 16.8.2+ds2 (Add hashicorp/yamux to vendor)
  * Revert "Drop obsolete patch"
  * Reintroduce patch that was removed earlier (we still need it)

  [ Mohammed Bilal ]
  * Refresh patch
  * Pass -w option to build-proto-gem

 -- Mohammed Bilal <rmb@debian.org>  Sun, 11 Feb 2024 22:26:27 +0530

gitaly (16.6.5+ds1-7) unstable; urgency=medium

  * Move back gitlab_log_dir to gitlab-debian.conf (used by gitlab-puma)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 16:50:42 +0530

gitaly (16.6.5+ds1-6) unstable; urgency=medium

  * Move back gitlab_app_root and gitlab_pid_path to gitlab-debian.conf
    (these two are needed by gitlab-workhorse.service)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 15:52:00 +0530

gitaly (16.6.5+ds1-5) unstable; urgency=medium

  * Move +gitlab_app_root, gitlab_data_dir, gitlab_pid_path, gitlab_log_dir
    variable from gitlab-debian.conf to gitlab-common.defaults (for
    gem-install.sh which needs to run before gitlab-debian.conf is created)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 13:30:39 +0530

gitaly (16.6.5+ds1-4) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X?-Ruby-Versions from d/control

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jan 2024 13:21:38 +0530

gitaly (16.6.5+ds1-3) experimental; urgency=medium

  * Create /etc/gitlab-common/logrotate-user.conf
    (this will be used for gitlab logrotate configuration)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jan 2024 13:21:29 +0530

gitaly (16.6.5+ds1-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.30

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jan 2024 01:50:22 +0530

gitaly (16.6.5+ds1-1) experimental; urgency=medium

  * Update minimum version of golang-go to 1:1.21~
  * New upstream version 16.6.5
  * New upstream version 16.6.5+ds1 (vendor go-grpc-middleware/v2)

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jan 2024 00:37:29 +0530

gitaly (16.4.4+ds1-4) unstable; urgency=medium

  * Update minimum version of gitlab-shell to 14.28~

 -- Pirate Praveen <praveen@debian.org>  Fri, 22 Dec 2023 19:57:04 +0530

gitaly (16.4.4+ds1-3) unstable; urgency=medium

  * Really reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Dec 2023 14:12:12 +0530

gitaly (16.4.4+ds1-2) experimental; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Dec 2023 21:54:41 +0530

gitaly (16.4.4+ds1-1) experimental; urgency=medium

  * New upstream version 16.4.4
  * Refresh patches
  * Drop golang-github-libgit2-git2go-v34-dev dependency
  * Remove failing test file
  * New upstream version 16.4.4+ds1 (add newer hashicorp/yamux)

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Dec 2023 01:09:11 +0530

gitaly (16.2.8+ds3-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.23

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Dec 2023 00:35:53 +0530

gitaly (16.2.8+ds3-1) experimental; urgency=medium

  * New upstream version 16.2.8+ds3 (update grpc in vendor)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Dec 2023 00:39:24 +0530

gitaly (16.2.8+ds2-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * d/p: update remove-go-embed.patch
  * add patch to change auxiliary binaries location

  [ Pirate Praveen ]
  * New upstream version 16.2.8+ds1
  * Refresh patches
  * New upstream version 16.2.8+ds2 (update vendored modules)
  * Disable failing tests
  * Update minimum version of git to 2.41

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Dec 2023 20:07:02 +0530
